List vendors assigned to a segment.
curl --request GET \
--url https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"vendorIds": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
List vendors assigned to a segment.
List the vendors assigned to a segment.
An empty vendor list means the segment is global.
GET
/
public
/
v1
/
segment-service
/
segments
/
{segment_id}
/
vendors
List vendors assigned to a segment.
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The external ID of the segment.
Cette page vous a-t-elle été utile ?